package com.topcoder.persistence.relation;

/**
 * The OperationException exception is thrown when an operation on relations
 * encounters an error that prevents it from completing the operation
 * successfully. The cause are implementation specific and may even wrap
 * other exceptions.
 *
 * Thread safety:
 * 
 * The class is immutable so it is thread safe.
 *
 * @author TCSDESIGNER
 */
public class OperationException extends RelationException {

    /**
     * Create a new instance ConfigurationException with the given error message.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message.
     *
     * @param message the message describing the exception
     *
     * @throws IllegalArgumentException if the message is null
     */
    public OperationException(String message) throws IllegalArgumentException {
        super(message);
    }

    /**
     * Create a new instance ConfigurationException with the given error message and the given cause.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message and cause.
     *
     * @param message the message describing the exception
     * @param cause the cause of the exception
     *
     * @throws IllegalArgumentException if the message is null or if cause is null
     */
    public OperationException(String message, Throwable cause) throws IllegalArgumentException {
        super(message, cause);
    }

}
